/*
Copyright (c) 1998-2009 VIA Technologies, Inc. All Rights Reserved.
 
This PROPRIETARY SOURCE CODE contains proprietary information of VIA 
Technologies, Inc. (VIA); Contents of this file shall not be disclosed to any 3rd party, 
copied or duplicated in any form, in whole or in part without prior written consent of 
VIA.  THIS SOURCE CODE & ANY RELATED DOCUMENTATION 
(COLLECTIVELY SOFTWARE) ARE PROVIDED AS IS, WITH ALL FAULTS, & 
WITHOUT WARRANTY OF ANY KIND.  VIA DISCLAIMS ALL EXPRESS OR 
IMPLIED WARRANTIES.  USER ACKNOWLEDGES THAT PARTIES FOR ANY 
DAMAGES ARISING FROM USE OF SOFTWARE OR ITS DERIVATIVE, 
INCLUDING, W/O LIMITATION, LOSS OF USE, DATA OR PROFITS. USER
WHOLLY ASSUMES ALL RISK ARISING FROM USE & PERFORMANCE OF 
SOFTWARE
*/ 
 
#ifndef ETKAPI_AUTO_POWER_H_
#define ETKAPI_AUTO_POWER_H_

#include "etkapi_base.h"

#ifdef __cplusplus
extern "C" {
#endif

/************************************************************************
		Auto Power
************************************************************************/

/**
 * The board supports auto power function or not
 * @return   : Returns TRUE if support or FALSE otherwise.
 */
SMARTETK_API BOOL ETKSdk_SupportAutoPower(void);

/**
 * Enable auto power on function and then set date and time.
 * @param byDay: 0~31; 0: don't care date
 * @param byHour: 0~23
 * @param byMinute: 0~59
 * @param bySecond: 0~59
 * @return   : Returns ETK_S_OK if successful or ETK_E_FAIL otherwise.
 */
SMARTETK_API DWORD ETKAutoPower_SetDateTime(BYTE byDay, BYTE byHour, BYTE byMinute, BYTE bySecond);

/**
 * Disable auto power on function.
 * @return   : Returns ETK_S_OK if successful or ETK_E_FAIL otherwise.
 */
SMARTETK_API DWORD ETKAutoPower_Disable(void);


#ifdef __cplusplus
} // extern C
#endif

#endif
